| pdfview | sh | pdftotext/mupdf-tools | View PDF file in `$PAGER` |
| picker | sh | nnn | Pick files and pipe the newline-separated list to another utility |
| pywal | sh | pywal | Set selected image as wallpaper, change terminal color scheme |
+| readit | sh | pdftotext,<br>pico2wave, mpv | Read a PDF or text file aloud |
| ringtone | sh | date, ffmpeg | Create a variable bitrate mp3 ringtone from file |
| splitjoin | sh | split, cat | Split file or join selection |
| sxiv | sh | sxiv | Browse images in a dir in sxiv, set wallpaper, copy path ([config](https://wiki.archlinux.org/index.php/Sxiv#Assigning_keyboard_shortcuts))|
--- /dev/null
+#!/usr/bin/env sh
+
+# Description: Read a text or PDF file in British English
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ tmpf=`basename "$1"`
+ tmpf="${TMPDIR:-/tmp}"/"${tmpf%.*}"
+
+ if [ $(head -c 4 "$1") = "%PDF" ]; then
+ # Convert using pdftotext
+ pdftotext -nopgbrk -layout "$1" - | sed 's/\xe2\x80\x8b//g' > "$tmpf".txt
+
+ pico2wave -w "$tmpf".wav -l en-GB "$(cat "$tmpf".txt | tr '\n' ' ')"
+
+ rm "$tmpf".txt
+ else
+ pico2wave -w "$tmpf".wav -l en-GB "$(cat "$1" | tr '\n' ' ')"
+ fi
+
+ # to jump around and note the time
+ mpv "$tmpf".wav
+
+ # flat read but better quality
+ # play -qV0 "$tmpf".wav treble 2 gain -l 2
+
+ rm "$tmpf".wav
+fi